XFCE4-TERMINAL(1)

NAME
xfce4-terminal - En terminalemulator til X

INDHOLDSFORTEGENELSE

xfce4-terminal [TILVALG...]

BESKRIVELSE

xfce4-terminal er en terminalemulator til X, ofte kaldet terminal eller skal. Den tilbyder funktioner tilsvarende den gammeldags tekstskærm på dit skrivebord, men kan sagtens dele skærmen med andre grafiske programmer. Windowsbrugere er måske allerede bekendt med programmet MS-DOS-kommandoprompt, som tilbyder en DOS-kommandolinje under Windows, dog skal det siges at CLI under UNIX tilbyder langt større funktionalitet og brugervenlighed end DOS gør.

xfce4-terminal emulerer xterm-programmet, udviklet af X Consortium. Til gengæld emulerer xterm-programmet terminalen DEC VT102 og understøtter også escape-sekvenserne fra DEC VT220'eren. En escape-sekvens er en serie af tegn der starter med Esc-tegnet. xfce4-terminal accepterer alle de escape-sekvenser som terminalerne VT102 og VT220 bruger som funktioner, så som placering af markøren og rydning af skærmen.

INDSTILLINGER

  Indstillingsoversigt

Her er en oversigt over alle tilvalg, grupperet efter type. Forklaringer findes i de følgende sektioner.

Generelle indstillinger
    -h, --help; -V, --version; --disable-server; --color-table; --default-display=skærm; --default-working-directory=mappe

Vindues- eller fanebladsadskillere
    --tab; --window

Fanebladsindstillinger
    -x, --execute; -e, --command=command; --working-directory=mappe; -T, --title=title; -H, --hold

Indstillinger til vindue
    --display=skærm; --drop-down; --geometry=geometri; --role=rolle; --startup-id=streng; -I, --icon=ikon; --fullscreen; --maximize; --show-menubar, --hide-menubar; --show-borders, --hide-borders; --show-toolbar, --hide-toolbar

  Generelle indstillinger

-h, --help
    Viser de forskellige kommandolinjetilvalg understøttet af xfce4-terminal og afslutter

-V, --version
    Viser versionsinformation og afslutter

--disable-server
    Registrér ikke med D-BUS-sessionsbeskedbussen

--color-table
    Echo the color codes

--default-display=skærm
    Brug som standard X-skærm.

--default-working-directory=mappe
    Indstil directory som standardarbejdsmappen for terminalen

  Vindues- eller fanebladsadskillere

--tab
    Åbn et nyt faneblad i det sidst specificerede vindue. Mere end ét af disse tilvalg kan bruges.

    If you use this as the first option, without --window separators, the last window will be re-used.

--window
    Åbn et nyt vindue der indeholder ét faneblad. Mere end ét af disse tilvalg kan bruges.

  Fanebladsindstillinger

-x, --execute
    Udfør resten af kommandolinjen inden i terminalen

-e, --command=command
    Udfør kommando inde i terminalen

--working-directory=mappe
    Indstil mappe som arbejdsmappen for terminalen

-T, --title=title
    Indstil titel som indledende vinduestitel i terminalen

-H, --hold
    Gør at terminalen holdes åben efter at den underliggende kommando er udført

  Indstillinger til vindue

--display=skærm
    X-skærm som bruges til det sidst definerede vindue.

--drop-down
    Will start the window in drop-down mode (also called a Quake-style terminal). This will only apply to the first window started with this option. It is advised to bind this to a shortcut in the keyboard preferences.

--geometry=geometri
    Indstil geometrien af det sidst specificerede vindue til geometry. Læs X(7) for flere detaljer om hvordan man skal angive vinduesgeometri.

--role=rolle
    Sets the window role of the last-specified window to role. Applies to only one window and can be specified once for each window you create from the command line. The role is a unique identifier for the window to be used when restoring a session.

--startup-id=streng
    Angiv id'et for opstartsnotifikation for det sidste specificerede vindue. Brugt internt til at videresende opstartsnotifikation-id'et, ved brug af D-BUS-tjenesten.

-I, --icon=ikon
    Indstil terminalens ikon som et ikon- eller filnavn.

--fullscreen
    Indstil det sidst specificerede vindue, til fuldskærmstilstand; det gælder kun for et vindue; kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

--maximize
    Indstil det sidst specificerede vindue, til maksimeret tilstand; det gælder kun for et vindue; kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

--show-menubar
    Slå menulinjen til for det sidst specificerede vindue.. Det kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

--hide-menubar
    Slå menulinjen til for det sidst angivne vindue.. Det kan angives én gang for hvert vindue, du opretter fra kommandolinjen.

--show-borders
    Slå vinduesdekorationer til, for det sidst specificerede vindue. Gælder kun for et vindue. Det kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

--hide-borders
    Slå vinduesdekorationer fra, for det sidst specificerede vindue. Gælder kun for et vindue. Det kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

--show-toolbar
    Turn on the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

--hide-toolbar
    Turn off the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

EKSEMPLER

xfce4-terminal --geometry 80x40 --command mutt --tab --command mc
    Åbner et nyt terminalvindue med geometri 80 kollonner og 40 rækker og to faneblade , Hvor det første faneblad kører mutt og det andet faneblad kører mc.

MILJø

xfce4-terminal uses the Basedir Specification as defined on Freedesktop.org[1] to locate its data and configuration files. This means that file locations will be specified as a path relative to the directories described in the specification.

${XDG_CONFIG_HOME}
    Den første basale mappe til at lede efter indstillingsfiler. Som standard er denne indstillet til ~/.config/.

${XDG_CONFIG_DIRS}
    En kolonsepareret liste af basismapper der indeholder indstillingsdata. Som standard vil programmet lede i ${sysconfdir}/xdg/. Værdien på ${sysconfdir}, afhænger hvordan programmet blev bygget og vil ofte være /etc/ for binære pakker.

${XDG_DATA_HOME}
    Roden for alle brugerspecikke datafiler. Som standard er denne indstillet til ~/.local/share/.

${XDG_DATA_DIRS}
    En række indstillingssortereret basismapper, relativ til hvilke datafiler der skal søges efter, udover basismappen ${XDG_DATA_DIRS}. Mapper skal separeres med en kolon.

FILER

${XDG_CONFIG_DIRS}/xfce4/terminal/terminalrc
    Dette er placeringen af indstillingsfilerne, der inkluderer de indstillinger, der styrer udseendet og fornemmelsen i xfce4-terminal.

LæS OGSå

bash(1), X(7)

AUTHORS

Nick Schermer <nick@xfce.org>
    Udvikler

Benedikt Meurer <benny@xfce.org>
Softwareudvikler, os-cillation, Systemudvikling,
    Udvikler

NOTES

1.  Freedesktop.org
    http://freedesktop.org/